# https://gitlab.kitware.com/cmake/community/wikis/doc/tutorials/How-to-create-a-ProjectConfig.cmake-file
# https://cmake.org/cmake/help/v3.0/command/find_package.html?highlight=find_package
# Config file for the Open3D package
# It defines the following variables
#  Open3D_INCLUDE_DIRS
#  Open3D_LIBRARIES
#  Open3D_LIBRARY_DIRS

set(Open3D_INCLUDE_DIRS "/usr/include;/usr/local/include;/usr/local/include/Open3D;/usr/local/include/Open3D/Core;/usr/local/include/Open3D/Core/Camera;/usr/local/include/Open3D/Core/ColorMap;/usr/local/include/Open3D/Core/Geometry;/usr/local/include/Open3D/Core/Integration;/usr/local/include/Open3D/Core/Odometry;/usr/local/include/Open3D/Core/Registration;/usr/local/include/Open3D/Core/Utility;/usr/local/include/Open3D/External/flann;/usr/local/include/Open3D/External/flann/algorithms;/usr/local/include/Open3D/External/flann/nn;/usr/local/include/Open3D/External/flann/util;/usr/local/include/Open3D/External/liblzf;/usr/local/include/Open3D/External/rply;/usr/local/include/Open3D/External/rply/etc;/usr/local/include/Open3D/External/rply/manual;/usr/local/include/Open3D/External/tinyfiledialogs;/usr/local/include/Open3D/IO;/usr/local/include/Open3D/IO/ClassIO;/usr/local/include/Open3D/IO/FileFormat;/usr/local/include/Open3D/Visualization;/usr/local/include/Open3D/Visualization/Shader;/usr/local/include/Open3D/Visualization/Shader/GLSL;/usr/local/include/Open3D/Visualization/Utility;/usr/local/include/Open3D/Visualization/Visualizer;/usr/local/include/eigen3;/usr/local/include/libpng16")
set(Open3D_LIBRARIES    "Open3D;GLEW;GL;X11;GLU;OpenGL;glfw;/usr/local/lib/libGL.so;jpeg;jsoncpp;png16;tinyfiledialogs")
set(Open3D_LIBRARY_DIRS "/usr/local/lib")

set(Open3D_C_FLAGS          "-fopenmp")
set(Open3D_CXX_FLAGS        "-fopenmp")
set(Open3D_EXE_LINKER_FLAGS "")
